On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/subscriptionsThe ID of the agreement for which to list transactions.
The start date of the range of transactions to list.
The end date of the range of transactions to list.
application/json
application/json
curl -X GET "https://api-m.paypal.com/v1/payments/billing-agreements/string/transactions"{
"agreement_transaction_list": [
{
"transaction_id": "string",
"status": "Completed",
"transaction_type": "string",
"payer_email": "string",
"payer_name": "string",
"time_stamp": "string",
"time_zone": "string",
"amount": {
"value": "string",
"currency": {}
},
"fee_amount": {
"value": "string",
"currency": {}
},
"net_amount": {
"value": "string",
"currency": {}
}
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}